Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IArc

    java.lang.Object
      igeo.IObject
          igeo.ICurve
              igeo.IArc

All Implemented Interfaces:
  ICurveI, ICurveOp, IParameter, ITransformable

    public class IArc

extends ICurve

Arc object. It contains IArcGeo instance inside.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary

Fields inherited from class igeo.ICurve
`curve`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Constructor Summary
`IArc()`
`IArc(double x, double y, double z, double startX, double startY, double startZ, double angle)`
`IArc(IServerI s, double x, double y, double z, double startX, double startY, double startZ, double angle)`
`IArc(IServerI s, IVecI center, IVecI startPt, double angle)`
`IArc(IServerI s, IVecI center, IVecI startPt, IDoubleI angle)`
`IArc(IServerI s, IVecI center, IVecI startPt, IVecI endPt, boolean flipArcSide)`
`IArc(IServerI s, IVecI center, IVecI normal, IVecI startPt, double angle)`
`IArc(IServerI s, IVecI center, IVecI startPt, IVecI endPt, IBoolI flipArcSide)`
`IArc(IServerI s, IVecI center, IVecI normal, IVecI startPt, IDoubleI angle)`
`IArc(IServerI s, IVecI center, IVecI startPt, IVecI midPt, IVecI endPt, IVecI normal)`
`IArc(IVecI center, IVecI startPt, double angle)`
`IArc(IVecI center, IVecI startPt, IDoubleI angle)`
`IArc(IVecI center, IVecI startPt, IVecI endPt, boolean flipArcSide)`
`IArc(IVecI center, IVecI normal, IVecI startPt, double angle)`
`IArc(IVecI center, IVecI startPt, IVecI endPt, IBoolI flipArcSide)`
`IArc(IVecI center, IVecI normal, IVecI startPt, IDoubleI angle)`
`IArc(IVecI center, IVecI startPt, IVecI midPt, IVecI endPt, IVecI normal)`

Method Summary
`static IVec4[]` | `arcCP(IVec center, IVec startPt, IVec endPt, boolean flipArcSide)`
`static IVec4[]` | `arcCP(IVec center, IVec normal, IVec startPt, double angle)`
`static IVec4[]` | `arcCP(IVec center, IVec startPt, IVec midPt, IVec endPt, IVec normal)`
`static int` | `arcDeg()`
`static double[]` | `arcKnots(double angle)`

Methods inherited from class igeo.ICurve
`add, add, add, add, add, add, add, addCP, addCP, addCP, addCP, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, cp, cp, cp, cp, cp, cp, cpNum, cpNum, cpNum, cps, createGraphic, deg, deg, deg, div, div, dup, end, endCP, ep, ep, epNum, epNum, epNum, flip, get, hide, hsb, hsb, hsb, hsb, initCurve, insertCP, insertCP, isClosed, isClosed, isClosed, isRational, isRational, isRational, isValid, knot, knot, knotNum, knotNum, knotNum, knots, knots, knots, layer, len, len, len, mirror, mirror, mul, mul, mv, mv, mv, name, neg, num, num, num, pt, pt, ref, ref, removeCP, removeCP, removeCP, rev, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setHSBColor, setHSBColor, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, show, start, startCP, sub, sub, sub, tan, tan, transform, transform, transform, transform, translate, translate, translate, u, u, uend, uend, uend, ustart, ustart, ustart`

Methods inherited from class igeo.IObject
`addDynamics, alpha, alphaInt, attr, attr, blue, blueInt, clearDynamics, clearGraphics, clr, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, green, greenInt, initGraphic, initObject, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setParameter, syncColor, updateGraphic, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IArc

    public IArc()

### IArc

    public IArc(IVecI center,
                IVecI normal,
                IVecI startPt,
                double angle)

### IArc

    public IArc(IVecI center,
                IVecI normal,
                IVecI startPt,
                IDoubleI angle)

### IArc

    public IArc(IVecI center,
                IVecI startPt,
                double angle)

### IArc

    public IArc(IVecI center,
                IVecI startPt,
                IDoubleI angle)

### IArc

    public IArc(double x,
                double y,
                double z,
                double startX,
                double startY,
                double startZ,
                double angle)

### IArc

    public IArc(IVecI center,
                IVecI startPt,
                IVecI endPt,
                IBoolI flipArcSide)

### IArc

    public IArc(IVecI center,
                IVecI startPt,
                IVecI endPt,
                boolean flipArcSide)

### IArc

    public IArc(IVecI center,
                IVecI startPt,
                IVecI midPt,
                IVecI endPt,
                IVecI normal)

### IArc

    public IArc(IServerI s,
                IVecI center,
                IVecI normal,
                IVecI startPt,
                double angle)

### IArc

    public IArc(IServerI s,
                IVecI center,
                IVecI normal,
                IVecI startPt,
                IDoubleI angle)

### IArc

    public IArc(IServerI s,
                IVecI center,
                IVecI startPt,
                double angle)

### IArc

    public IArc(IServerI s,
                IVecI center,
                IVecI startPt,
                IDoubleI angle)

### IArc

    public IArc(IServerI s,
                double x,
                double y,
                double z,
                double startX,
                double startY,
                double startZ,
                double angle)

### IArc

    public IArc(IServerI s,
                IVecI center,
                IVecI startPt,
                IVecI endPt,
                IBoolI flipArcSide)

### IArc

    public IArc(IServerI s,
                IVecI center,
                IVecI startPt,
                IVecI endPt,
                boolean flipArcSide)

### IArc

    public IArc(IServerI s,
                IVecI center,
                IVecI startPt,
                IVecI midPt,
                IVecI endPt,
                IVecI normal)

Method Detail

### arcDeg

    public static int arcDeg()

### arcCP

    public static IVec4[] arcCP(IVec center,
                                IVec normal,
                                IVec startPt,
                                double angle)

### arcCP

    public static IVec4[] arcCP(IVec center,
                                IVec startPt,
                                IVec endPt,
                                boolean flipArcSide)

### arcCP

    public static IVec4[] arcCP(IVec center,
                                IVec startPt,
                                IVec midPt,
                                IVec endPt,
                                IVec normal)

### arcKnots

    public static double[] arcKnots(double angle)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD